Skip to main content
POST
/
v1
/
api
/
dashboard
/
clone
Clone a dashboard
curl --request POST \
  --url https://api.upsolve.ai/v1/api/dashboard/clone \
  --header 'Content-Type: application/json' \
  --header 'authorization: <api-key>' \
  --data '
{
  "sourceDashboardId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "apiKey": "<string>",
  "organizationId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "connectionId": "<string>",
  "targetWorkspaceId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "name": "<string>"
}
'
{
  "status": "<string>",
  "data": {
    "dashboardId": "<string>",
    "name": "<string>"
  }
}

Authorizations

authorization
string
header
required

Body

application/json

POST /v1/api/dashboard/clone Request body

sourceDashboardId
string<uuid>
required

ID of the dashboard to clone

apiKey
string

Upsolve API key, generated in the Deploy tab of the Upsolve Hub.

Minimum string length: 1
organizationId
string<uuid>

The ID of the organization. Required when using Supabase JWT authentication.

connectionId
string

The ID of the connection a guest has access to

targetWorkspaceId
string<uuid>

Workspace to clone into. If omitted, clones into the same workspace as the source.

name
string

Name for the cloned dashboard. Defaults to '[original name] (Copy)'.

Response

POST /v1/api/dashboard/clone Positive response

status
string
required
Allowed value: "success"
data
object
required